# Interface ArrayIterator<T>

Describes an Iterator produced by the runtime that inherits from the intrinsic `Iterator.prototype`.

#### Type Parameters

- #### T

#### Hierarchy

- IteratorObject<T, BuiltinIteratorReturn, unknown>
  - ArrayIterator

#####
Index

### Methods

[iterator]
next
return?
throw?

## Methods

### [iterator]

- [iterator](): ArrayIterator<T>

- #### Returns ArrayIterator<T>

  Overrides IteratorObject.[iterator]

### next

- next(...__namedParameters): IteratorResult<T, undefined>

- #### Parameters

  - ##### `Rest` ...__namedParameters: [] | [unknown]

  #### Returns IteratorResult<T, undefined>

  Inherited from IteratorObject.next

### `Optional` return

- return(value?): IteratorResult<T, undefined>

- #### Parameters

  - ##### `Optional` value: undefined

  #### Returns IteratorResult<T, undefined>

  Inherited from IteratorObject.return

### `Optional` throw

- throw(e?): IteratorResult<T, undefined>

- #### Parameters

  - ##### `Optional` e: any

  #### Returns IteratorResult<T, undefined>

  Inherited from IteratorObject.throw

Generated using TypeDoc